# [for Emacs] -*- coding: utf-8 -*-

%define	apelminver	10.2
%define	pkgdir %{_datadir}/xemacs/mule-packages

Summary: Daredevil SKK - Simple Kana to Kanji conversion program for Emacs
Name: ddskk
Version: 11.6.0
Release: 11.80
License: GPL
Group: Applications/Editors
URL: http://openlab.ring.gr.jp/skk/main.html
Source0: http://openlab.ring.gr.jp/skk/maintrunk/ddskk%{version}.tar.bz2
Source1: ddskk-init.el
Patch1: ddskk-11.6.0-tmp-file.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: emacs, apel >= %{apelminver}
Requires: emacs, apel >= %{apelminver}
Provides: skk
Obsoletes: skk, ddskk-el

%description
Daredevil SKK is a branch of SKK (Simple Kana to Kanji conversion program,
an input method of Japanese). It forked from the maintrunk, SKK version 10.56.
It consists of a simple core and many optional programs which provide extensive
features, however, our target is to more simplify core, and more expand its
optional features.

This package does not include dictionaries or a skkserver. Please install them
separately.

%package xemacs
Summary: Daredevil SKK - Simple Kana to Kanji conversion program for XEmacs
Group: Applications/Editors
Requires:	xemacs, apel-xemacs
BuildRequires:	apel-xemacs, xemacs

%description xemacs
Daredevil SKK is a branch of SKK (Simple Kana to Kanji conversion program,
an input method of Japanese). It forked from the maintrunk, SKK version 10.56.
It consists of a simple core and many optional programs which provide extensive
features, however, our target is to more simplify core, and more expand its
optional features.

This package does not include dictionaries or a skkserver. Please install them
separately.

%prep
%setup -q
%patch1 -p1 -b .temp

%build

%install
rm -fr %buildroot
mkdir -p %buildroot%{_datadir}/emacs/site-lisp/site-start.d/
# needed for make install-info
mkdir -p %buildroot%{_datadir}/info

make EMACS=emacs PREFIX=%buildroot%{_prefix} \
    SKK_LISPDIR=%buildroot%{_datadir}/emacs/site-lisp/ddskk install

install -m 644 etc/SKK.tut %buildroot%{_datadir}/skk
install -m 644 etc/SKK.tut.E %buildroot%{_datadir}/skk
install -m 644 %SOURCE1 %buildroot%{_datadir}/emacs/site-lisp/site-start.d

rm -f %buildroot/%{_infodir}/dir

make clean

make PACKAGEDIR=%buildroot%{pkgdir} install-package

# don't compress ja info pages
%define __os_install_post %{nil}

%clean
rm -fr %buildroot

%post
/sbin/install-info %{_infodir}/skk.info %{_infodir}/dir

%preun
/sbin/install-info --delete %{_infodir}/skk.info %{_infodir}/dir

%files
%defattr(-,root,root)
%doc ChangeLog READMEs
%{_datadir}/emacs/site-lisp/ddskk
%{_datadir}/emacs/site-lisp/site-start.d/ddskk-init.el
%{_datadir}/skk
%{_infodir}/*

%files xemacs
%defattr(-,root,root)
%doc ChangeLog READMEs
%{pkgdir}

%changelog
* Mon Jul 28 2003 Jens Petersen <petersen@redhat.com> - 11.6.0-11.80
- ddskk no longer provides ddskk-el
- don't compress info files, since they're in Japanese
- install/uninstall info manual in info dir file during post/preun

* Thu Jul 10 2003 Jens Petersen <petersen@redhat.com> - 11.6.0-11
- apply ddskk-11.6.0-tmp-file.patch from debian to fix temp file vulnerability
  CAN-2003-0539 (#98924)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 24 2002 Jens Petersen <petersen@redhat.com> 11.6.0-9
- place xemacs package under datadir
- setup quietly
- use buildroot macro instead of RPM_BUILD_ROOT
- include info files except info dir file
- own mule-packages and down
- update url
- encode spec file in utf-8

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Mar 11 2002 Jens Petersen <petersen@redhat.com> 21.6.0-6
- provide ddskk-el to make rpmlint happy
- don't buildrequire semi

* Mon Feb 25 2002 Jens Petersen <petersen@redhat.com> 21.6.0-5
- free ride through the build system

* Thu Jan 31 2002 Jens Petersen <petersen@redhat.com> 21.6.0-4
- install in mule-packages not site-packages
- own lisp/skk dir

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 21.6.0-3
- automated rebuild

* Tue Jan 8 2002 Jens Petersen <petersen@redhat.com> 21.6.0-2
- Updated changelog entry below for 21.6.0-1

* Tue Jan 8 2002 Jens Petersen <petersen@redhat.com> 21.6.0-1
- Update to 11.6.0 release
- Make XEmacs package
- Add filevar for iso-8859-1 coding for teg
- Don't need to mkdir site-lisp/ddskk datadir/skk, but need datadir/info

* Wed Aug 29 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.3.20010617-2
- Add semi as a BuildPrereq (#45159)
- s/Copyright/License/
- Don't define a name on top and then use it in the header
 
* Mon Jun 25 2001 SATO Satoru <ssato@redhat.com> 21.3.20010617-1
- 2001.6.17
- fix the dependency (now we have the apel alone).
- ddskk-el is disused

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- fix the Group

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- fix the dependencies: [Build]Requires
- add ddskk-init.el

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- rebuild to re-import into the tree
- new upstream snapshot

* Mon Dec 28 2000 SATO Satoru <ssato@redhat.com>
- fix SPEC

* Mon Dec 25 2000 SATO Satoru <ssato@redhat.com>
- new upstream (cvs current snapshot)

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- added %%defattr(-,root,root) to the el subpackage

* Tue Sep  6 2000 Satoru Sato <ssato@redhat.com>
- fix SPEC (check dependencies)

* Tue Sep  5 2000 Satoru Sato <ssato@redhat.com>
- Initial release
